<template>
  <!-- 资金信息 -->
  <section class="funding_information">
    <component :is="componentId"></component>
    <thirdMenu :list="tabList" @selectMenu="changeTab" :value="'title'"></thirdMenu>
  </section>
</template>

<script lang="ts">
import { defineAsyncComponent, defineComponent } from 'vue';
import thirdMenu from '@/common/components/thirdMenu/index.vue';
import { handleOrderDetailList } from '@/common/setup/order/orderData';
export default defineComponent({
  components: {
    thirdMenu,
    funding_information_summary: defineAsyncComponent(() => import('./components/funding_information_funding_summary/index.vue')), // 资金汇总
    funding_information_log: defineAsyncComponent(() => import('./components/funding_information_funding_log/index.vue')), // 资金流水
  },
  setup() {
    return { ...handleOrderDetailList('funding_information') };
  },
});
</script>